#ifndef PSXC_BOOT_H_
#define PSXC_BOOT_H_

#include "util.h"

typedef struct __attribute__((packed)) {
    uint32_t pc;
    uint32_t gp;
    uint32_t addr_dest;
    uint32_t size_file;
    uint32_t addr_data;
    uint32_t size_data;
    uint32_t addr_bss;
    uint32_t size_bss;
    uint32_t sp;
    uint32_t fp;
} psx_header_t;

void boot_psx_prgm(byte_arr_t *prgm);

#endif
